# $Revision: 1.20 $, $Date: 2008-01-09 14:54:53 $
Summary:	COBOL compiler
Summary(pl.UTF-8):	Kompilator języka COBOL
Name:		open-cobol
Version:	1.0
Release:	1
License:	GPL/LGPL
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/open-cobol/%{name}-%{version}.tar.gz
# Source0-md5:	947e0d9c4ee7fa8f077ea4bca2f894e5
URL:		http://www.opencobol.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gmp-devel
Requires:	libltdl-devel
Requires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenCOBOL is an open-source COBOL compiler. OpenCOBOL implements
substantial part of the COBOL 85 and COBOL 2002 standards, as well as
many extensions of the existent COBOL compilers. OpenCOBOL translates
COBOL into C and compiles the translated code using GCC. You can build
your COBOL programs on various platforms, including GNU/Linux, Mac OS
X, and Microsoft Windows. The compiler is licensed under GNU General
Public License. The run-time library is licensed under GNU Lesser
General Public License.

%description -l pl.UTF-8
OpenCOBOL jest kompilerem COBOLa o otwartych źródłach. OpenCOBOL
implementuje znaczną część standardów COBOL 85 i COBOL 2002, jak i
wiele z rozszerzeń z istniejących kompilatorów COBOLa. OpenCOBOL
tłumaczy źródła COBOLa do języka C i następnie kompiluje
przetłumaczony kod używając GCC. Pozwala budować programy COBOLowe na
wielu platformach, w tym takich jak GNU/Linux, Mac OS X i Microsoft
Windows. Kompilator jest objęty licencją GNU General Public License.
Biblioteka uruchomieniowa jest objęta licencją GNU Lesser General
Public License.

%package libs
Summary:	OpenCOBOL runtime library
Summary(pl.UTF-8):	Biblioteka uruchomieniowa OpenCOBOLa
License:	LGPL
Group:		Libraries

%description libs
OpenCOBOL runtime library.

%description libs -l pl.UTF-8
Biblioteka uruchomieniowa OpenCOBOLa.

%package static
Summary:	Static OpenCOBOL runtime library
Summary(pl.UTF-8):	Statyczna biblioteka uruchomieniowa OpenCOBOLa
License:	LGPL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static OpenCOBOL runtime library, needed to build statically
linked COBOL programs.

%description static -l pl.UTF-8
Statyczna biblioteka uruchomieniowa OpenCOBOLa, potrzebna do tworzenia
statycznie linkowanych programów w COBOLu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_includedir}/libcob.h
%{_includedir}/libcob
%attr(755,root,root) %{_libdir}/libcob.so
%{_libdir}/libcob.la
%{_infodir}/*.info*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcob.so.*.*.*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcob.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: open-cobol.spec,v $
Revision 1.20  2008-01-09 14:54:53  undefine
- up to 1.0

Revision 1.19  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.17  2005/12/06 22:30:30  ankry
- Nie, nie: zadnych kompilerów i platwormów

Revision 1.16  2005/12/06 20:57:21  qboosh
- libtoolize to fix soname
- separated -libs and -static
- devel deps (in base package)

Revision 1.15  2005/12/06 20:43:18  qboosh
- pl fixes

Revision 1.14  2005/12/06 19:13:00  ankry
- rel. 1

Revision 1.13  2005/12/06 19:10:16  ankry
- TODO done

Revision 1.12  2005/12/06 18:47:41  ankry
- simplified

Revision 1.11  2005/12/06 16:11:22  darekr
- missing dirs

Revision 1.10  2005/12/06 15:33:20  darekr
- package info file
- BRs: gettext-devel, ncurses-devel

Revision 1.9  2005/12/05 23:53:35  ankry
- more TODO, URL fix

Revision 1.8  2005/12/05 23:52:03  ankry
- TODO added, rel. 0.9

Revision 1.7  2005/12/05 23:42:38  ankry
- fixed %files, added static library to enable static compilation

Revision 1.6  2005/12/05 23:08:15  ankry
- %files fixes, %find_lang, cleaning

Revision 1.5  2005/12/05 22:28:15  blekot
- builds
- not all files packed
- rel 0.2

Revision 1.4  2005/12/05 22:02:23  ankry
- group fix

Revision 1.3  2005/12/05 21:55:01  ankry
- a %files fix

Revision 1.2  2005/12/05 21:53:02  blekot
- added pl desc.
